<script>
    export let streamID;
    let parent = import.meta.env.VITE_FRONTEND;
    // new Twitch.Embed("twitch-embed", {
    //     width: "100%",
    //     height: "100%",
    //     channel: streamID,
    //     // Only needed if this page is going to be embedded on other websites
    //     parent: [parent]
    // });

    // Inject script in the page
    const script = document.createElement('script');
    script.setAttribute('src', 'https://embed.twitch.tv/embed/v1.js');
    document.body.appendChild(script);

    // Wait for the script to load
    script.onload = () => {
        // Inject script with the Twitch embed
        const script2 = document.createElement('script');
        script2.innerHTML = `new Twitch.Embed("twitch-embed", {
            width: "100%",
            height: "100%",
            channel: "${streamID}",
            // Only needed if this page is going to be embedded on other websites
            parent: ["${parent}"]
        });`;
        document.body.appendChild(script2);
    };
</script>


<div style="padding-bottom: 56.25%; position: relative;">
    <!-- <iframe 
        title="Twitch Player"
        style="position: absolute; top: 0px; left: 0px; width: 100%; height: 100%; z-index: 49;" 
        src="https://player.twitch.tv/?channel={streamID}&parent={parent}" 
        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture; fullscreen" 
        width="100%"
        height="100%"
        frameborder="0">
    </iframe> -->
    <div id="twitch-embed" style="position: absolute; top: 0px; left: 0px; width: 100%; height: 100%; z-index: 49;" ></div>
</div>